Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.modules
Class cStringIO

    java.lang.Object
      org.python.modules.cStringIO

    public class cStringIO

extends Object

This module implements a file-like class, StringIO, that reads and writes a string buffer (also known as memory files). See the description on file objects for operations.

Version:
  cStringIO.java,v 1.10 1999/05/20 18:03:20 fb Exp
Author:
  Finn Bock, bckfnn@pipmail.dknet.dk

Nested Class Summary
`static class` | `cStringIO.StringIO` The StringIO object

Field Summary
`static PyType` | `InputType`
`static PyType` | `OutputType`

Constructor Summary
`cStringIO()`

Method Summary
`static cStringIO.StringIO` | `StringIO()`
`static cStringIO.StringIO` | `StringIO(String buffer)` Create a StringIO object, initialized by the value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### InputType

    public static PyType InputType

### OutputType

    public static PyType OutputType

Constructor Detail

### cStringIO

    public cStringIO()

Method Detail

### StringIO

    public static cStringIO.StringIO StringIO()

### StringIO

    public static cStringIO.StringIO StringIO(String buffer)

  Create a StringIO object, initialized by the value.

  Parameters:
    `buffer` - The initial value.
  Returns:
    a new StringIO object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage